## gnurobbo 0.57.1

=== Makefile ===
# Makefile.in generated by automake 1.7.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/gnurobbo
pkglibdir = $(libdir)/gnurobbo
pkgincludedir = $(includedir)/gnurobbo
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = ${SHELL} /home/alus/gnurobbo/gnurobbo-0.57/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/alus/gnurobbo/gnurobbo-0.57/missing --run tar
AUTOCONF = ${SHELL} /home/alus/gnurobbo/gnurobbo-0.57/missing --run autoconf
AUTOHEADER = ${SHELL} /home/alus/gnurobbo/gnurobbo-0.57/missing --run autoheader
AUTOMAKE = ${SHELL} /home/alus/gnurobbo/gnurobbo-0.57/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBS = -lpthread -lSDL_ttf -lSDL 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/alus/gnurobbo/gnurobbo-0.57/missing --run makeinfo
OBJEXT = o
PACKAGE = gnurobbo
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.57
ac_ct_CC = gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__quote = 
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/alus/gnurobbo/gnurobbo-0.57/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
bin_PROGRAMS = gnurobbo

gnurobbo_SOURCES = game.c game.h board.c data_init.c
EXTRA_DIST = levels.dat icons/icons.bmp robbo.ttf icons/ciphers.bmp icons/background.bmp
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = gnurobbo$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_gnurobbo_OBJECTS = game.$(OBJEXT) board.$(OBJEXT) data_init.$(OBJEXT)
gnurobbo_OBJECTS = $(am_gnurobbo_OBJECTS)
gnurobbo_LDADD = $(LDADD)
gnurobbo_DEPENDENCIES =
gnurobbo_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/board.Po ./$(DEPDIR)/data_init.Po \
	./$(DEPDIR)/game.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(gnurobbo_SOURCES)
DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
	Makefile.in NEWS TODO aclocal.m4 config.h.in configure \
	configure.ac depcomp install-sh missing mkinstalldirs
SOURCES = $(gnurobbo_SOURCES)

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(srcdir)/config.h.in:  $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	touch $(srcdir)/config.h.in

distclean-hdr:
	-rm -f config.h stamp-h1
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
gnurobbo$(EXEEXT): $(gnurobbo_OBJECTS) $(gnurobbo_DEPENDENCIES) 
	@rm -f gnurobbo$(EXEEXT)
	$(LINK) $(gnurobbo_LDFLAGS) $(gnurobbo_OBJECTS) $(gnurobbo_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/board.Po
include ./$(DEPDIR)/data_init.Po
include ./$(DEPDIR)/game.Po

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'`; \
	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'`
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = .
distdir = $(PACKAGE)-$(VERSION)

am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }

GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	$(mkinstalldirs) $(distdir)/icons
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist-gzip: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist dist-all: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	$(am__remove_distdir)
	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	chmod a-w $(distdir)
	dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \

## gnurobbo 0.61

=== Makefile ===
#Change these to install somewhere else
# System wide:
#PACKAGE_DATA_DIR=/usr/local/share/$(TARGET)/
#BINDIR=/usr/local/bin/
#DOCDIR=/usr/local/share/doc/$(TARGET)/
# Local:
#PACKAGE_DATA_DIR=$(HOME)/Games/$(TARGET)/
#BINDIR=$(HOME)/Games/$(TARGET)/
#DOCDIR=$(HOME)/Games/$(TARGET)/
# The current folder:
PACKAGE_DATA_DIR=./data/
BINDIR=./
DOCDIR=./

#You won't need to alter these
TARGET=gnurobbo
SOURCES=$(wildcard *.c)
OBJECTS=$(patsubst %.c, %.o, $(SOURCES))
VERSION=`cat VERSION`

#These should be ok for most
CC=gcc
CFLAGS=-O3 -pipe -Wall -fomit-frame-pointer -I/usr/include `sdl-config --cflags` -DPLATFORM_PC -DVERSION=\"$(VERSION)\" -DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)/\" 
LINK=gcc
LDFLAGS=-L/usr/lib
LIBS=`sdl-config --libs` -lSDL_ttf

#You won't need to alter anything below
all: $(SOURCES) $(TARGET)

$(TARGET): $(OBJECTS)
	$(LINK) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: all clean install

clean:
	rm $(OBJECTS)

install:
	mkdir -p $(PACKAGE_DATA_DIR)/levels
	mkdir -p $(PACKAGE_DATA_DIR)/skins/original $(PACKAGE_DATA_DIR)/skins/tronic
	mkdir -p $(PACKAGE_DATA_DIR)/locales/en_GB $(PACKAGE_DATA_DIR)/locales/pl_PL
	mkdir -p $(BINDIR)
	mkdir -p $(DOCDIR)
	cp data/levels/* $(PACKAGE_DATA_DIR)/levels/
	cp data/skins/original/* $(PACKAGE_DATA_DIR)/skins/original/
	cp data/skins/tronic/* $(PACKAGE_DATA_DIR)/skins/tronic/
	cp data/locales/en_GB/* $(PACKAGE_DATA_DIR)/locales/en_GB/
	cp data/locales/pl_PL/* $(PACKAGE_DATA_DIR)/locales/pl_PL/
	cp $(TARGET) $(BINDIR)/
	cp ChangeLog COPYING README $(DOCDIR)/

## gnurobbo 0.63-1

=== Makefile ===
# Change these to install somewhere else
# System wide:
PACKAGE_DATA_DIR=/usr/share/$(TARGET)/
BINDIR=/usr/bin/
DOCDIR=/usr/share/doc/$(TARGET)/

# Local:
#PACKAGE_DATA_DIR=$(HOME)/Games/$(TARGET)/
#BINDIR=$(HOME)/Games/$(TARGET)/
#DOCDIR=$(HOME)/Games/$(TARGET)/

# The current folder:
#PACKAGE_DATA_DIR=./data/
#BINDIR=./
#DOCDIR=./

# Choose ONE of these and comment the other
#FONT_USE_PIXMAP=-DUSE_PIXMAP_FONT
FONT_USE_SDL_TTF=-lSDL_ttf

# USE_SDL_GFX=-lSDL_gfx

# You won't need to alter these
TARGET=gnurobbo
SOURCES=$(wildcard *.c)
OBJECTS=$(patsubst %.c, %.o, $(SOURCES))
VERSION=`cat VERSION`

# These should be ok for most
CC=gcc
CFLAGS=-O3 -pipe -Wall -fomit-frame-pointer -I/usr/include `sdl-config --cflags` -DPLATFORM_PC -DVERSION=\"$(VERSION)\" -DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)/\" $(FONT_USE_PIXMAP) `pkg-config --cflags libosso` -DHILDON
LINK=gcc
LDFLAGS=-L/usr/lib
LIBS=`sdl-config --libs` $(FONT_USE_SDL_TTF) `pkg-config --libs libosso` $(USE_SDL_GFX)

# You won't need to alter anything below
all: $(SOURCES) $(TARGET)

$(TARGET): $(OBJECTS)
	$(LINK) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: all clean install

clean:
	rm $(OBJECTS)

install:
	@if [[ "$(PACKAGE_DATA_DIR)" == ./* ]] ; then \
	echo "Installing into the current folder is not allowed."; \
	exit 2; \
	fi			
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/levels
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/rob
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/n8x0
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/skins/original
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/skins/tronic
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/en_GB
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/pl_PL
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/de_DE
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/sk_SK
	mkdir -p $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/sv_SE
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DOCDIR)
	cp data/levels/* $(DESTDIR)$(PACKAGE_DATA_DIR)/levels/
	cp data/rob/*.bmp $(DESTDIR)$(PACKAGE_DATA_DIR)/rob/
	cp data/skins/original/*.bmp data/skins/original/skinrc $(DESTDIR)$(PACKAGE_DATA_DIR)/skins/original/
	cp data/skins/tronic/*.bmp data/skins/tronic/skinrc $(DESTDIR)$(PACKAGE_DATA_DIR)/skins/tronic/
	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \
	cp data/skins/original/*ttf $(DESTDIR)$(PACKAGE_DATA_DIR)/skins/original/; \
	cp data/skins/tronic/*ttf $(DESTDIR)$(PACKAGE_DATA_DIR)/skins/tronic/; \
	fi			
	cp data/locales/en_GB/* $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/en_GB/
	cp data/locales/pl_PL/* $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/pl_PL/
	cp data/locales/de_DE/* $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/de_DE/
	cp data/locales/sk_SK/* $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/sk_SK/
	cp data/locales/sv_SE/* $(DESTDIR)$(PACKAGE_DATA_DIR)/locales/sv_SE/
	cp $(TARGET) $(DESTDIR)$(BINDIR)/
	cp ChangeLog NEWS COPYING README $(DESTDIR)$(DOCDIR)/
	cp gnurobbo.desktop $(DESTDIR)$(PACKAGE_DATA_DIR)/
	cp gnurobbo.service $(DESTDIR)$(PACKAGE_DATA_DIR)/
	cp gnurobbo.png $(DESTDIR)$(PACKAGE_DATA_DIR)/
	cp data/n8x0/* $(DESTDIR)$(PACKAGE_DATA_DIR)/n8x0/
	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \
	cp LICENSE-ttf $(DESTDIR)$(DOCDIR)/; \
	fi

=== debian/changelog ===
gnurobbo (0.63-1) unstable; urgency=low

  [ Willem-Jan de Hoog ]
  * upstream version 0.63 which includes 
    * support for touch sreens
    * new levels
    * skinnable graphics
    * reconfigurable options and controls
    * localized resources.
  * Removed on-screen controls.
  * Removed dependancy on SDL_gfx 
  * Nicer Robbo icon in menu and Application manager

 -- Willem-Jan de Hoog <wdehoog@exalondelft.nl>  Tue, 1 Sept 2009 20:45:00 +0000

gnurobbo (0.57-1) unstable; urgency=low

  [ Willem-Jan de Hoog ]
  * packaged gnurobbo 0.57 for maemo diablo
  * added support for control using touch screen
  * register with osso to prevent being killed
  * changing level to play using left/right keys

 -- Willem-Jan de Hoog <wdehoog@exalondelft.nl>  Tue, 05 Jan 2009 20:45:00 +0000

=== debian/control ===
Source: gnurobbo
Section: user/games
Priority: extra
Maintainer: W. de Hoog <wdehoog@exalondelft.nl>
Build-Depends: debhelper (>= 5), libglib2.0-dev, libhildon1-dev, libosso-dev, libsdl1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.7.2

Package: gnurobbo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU Robbo puzzle.
 It's popular Atari XE/XL game ported to Linux.
 Robbo the robot is trying to get out of the planet.
 He must collect all parts of capsule to move to next level. 
 .
 The project home page is at <URL:http://gnurobbo.sourceforge.net/>.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAhMAAAITAHzz8NlAAAAB3RJTUUH2QEGACUa9H+4
 tgAAAB10RVh0Q29tbWVudABDcmVhdGVkIHdpdGggVGhlIEdJTVDvZCVuAAAB
 GklEQVRYw+1XwQ3CMAw8o7JHyyLNBqwAc/Dhw58RWIEBkMoiKJuYB0lRnLRJ
 kVBdxP2aupF8vsulxGCUgEAMAAymkjqPXP0KM4NyDPSduzKidGeyrl+ncSZm
 Z6Aqpsp30jMhZi0YWowGqrzqoxcvdOl1nugefQz0PvYdmvSQ60stvrRpMbh9
 yKSZ0MOA7PzdoU3LO2cXhPvYziaZ0HMSRrP/Fkx4PujLAplmESKNOKXsbOia
 DH5fA9yWmUVhFpjxWRejdb6/C/WzthuRDzDOXA2b/YuJdXMDABy2GwDA6foI
 no/npsgdelwgGSCR917NnoGpkAyoS8N/FlRSlT6vhzJg8Kz/kLkFa0DMMpui
 0O6C4vtA4R/PYjTwBBBIgtcM6SeZAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/gosmore.sgml > gosmore.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gnurobbo.
	$(MAKE) DESTDIR=$(CURDIR)/debian/gnurobbo bindir=/usr/bin prefix=/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gnurobbo 0.64

=== Makefile ===
# Change these to install somewhere else
# System wide:
#PACKAGE_DATA_DIR=/usr/local/share/$(TARGET)/
#BINDIR=/usr/local/bin/
#DOCDIR=/usr/local/share/$(TARGET)/
# Local:
#PACKAGE_DATA_DIR=$(HOME)/Games/$(TARGET)/
#BINDIR=$(HOME)/Games/$(TARGET)/
#DOCDIR=$(HOME)/Games/$(TARGET)/
# The current folder:
PACKAGE_DATA_DIR=./data/
BINDIR=./
DOCDIR=./

# Uncomment the line below if you want to have music support
MUSIC=-DHAVE_MUSIC
# Uncomment the line below if you want to enable the designer
DESIGNER=-DHAVE_DESIGNER

# Choose ONE of these and comment the other
#FONT_USE_PIXMAP=-DUSE_PIXMAP_FONT
FONT_USE_SDL_TTF=-lSDL_ttf

# You won't need to alter these
TARGET=$(shell cat TARGET)
SOURCES=$(wildcard *.c)
OBJECTS=$(patsubst %.c, %.o, $(SOURCES))
VERSION=$(shell cat VERSION)

# These should be ok for most
SDL_CONFIG=sdl-config
CFLAGS=-O3 -pipe -Wall -fomit-frame-pointer `$(SDL_CONFIG) --cflags` -DPLATFORM_PC -DVERSION=\"$(VERSION)\" -DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)/\" $(FONT_USE_PIXMAP) $(MUSIC) $(DESIGNER)
LINK=$(CC)
LDFLAGS=
LIBS=`$(SDL_CONFIG) --libs` -lSDL_image -lSDL_mixer $(FONT_USE_SDL_TTF)

# You won't need to alter anything below
all: $(SOURCES) $(TARGET)

$(TARGET): $(OBJECTS)
	$(LINK) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: all clean install

clean:
	rm $(OBJECTS)

install:
	@if [[ "$(PACKAGE_DATA_DIR)" == ./* ]] ; then \
	echo "Installing into the current folder is not allowed."; \
	exit 2; \
	fi			
	mkdir -p $(PACKAGE_DATA_DIR)/levels
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/default
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/oily
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/skins
	mkdir -p $(PACKAGE_DATA_DIR)/rob
	mkdir -p $(PACKAGE_DATA_DIR)/skins/original
	mkdir -p $(PACKAGE_DATA_DIR)/skins/tronic
	mkdir -p $(PACKAGE_DATA_DIR)/skins/oily
	mkdir -p $(PACKAGE_DATA_DIR)/locales/en_GB
	mkdir -p $(PACKAGE_DATA_DIR)/locales/pl_PL
	mkdir -p $(PACKAGE_DATA_DIR)/locales/de_DE
	mkdir -p $(PACKAGE_DATA_DIR)/locales/sk_SK
	mkdir -p $(PACKAGE_DATA_DIR)/locales/sv_SE
	mkdir -p $(PACKAGE_DATA_DIR)/locales/ru_RU
	mkdir -p $(BINDIR)
	mkdir -p $(DOCDIR)
	cp data/levels/* $(PACKAGE_DATA_DIR)/levels/
	cp data/sounds/default/* $(PACKAGE_DATA_DIR)/sounds/default/
	cp data/sounds/oily/* $(PACKAGE_DATA_DIR)/sounds/oily/
	cp data/sounds/skins/* $(PACKAGE_DATA_DIR)/sounds/skins/
	cp data/rob/*.bmp $(PACKAGE_DATA_DIR)/rob/
	cp data/skins/original/*.bmp data/skins/original/*.png data/skins/original/skinrc $(PACKAGE_DATA_DIR)/skins/original/
	cp data/skins/tronic/*.bmp data/skins/tronic/*.png data/skins/tronic/skinrc $(PACKAGE_DATA_DIR)/skins/tronic/
	cp data/skins/oily/*.bmp data/skins/oily/*.png data/skins/oily/skinrc $(PACKAGE_DATA_DIR)/skins/oily/
	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \
	cp data/skins/original/robbo.ttf $(PACKAGE_DATA_DIR)/skins/original/; \
	cp data/skins/tronic/robbo.ttf $(PACKAGE_DATA_DIR)/skins/tronic/; \
	cp data/skins/oily/robbo.ttf $(PACKAGE_DATA_DIR)/skins/oily/; \
	fi
	cp data/locales/en_GB/* $(PACKAGE_DATA_DIR)/locales/en_GB/
	cp data/locales/pl_PL/* $(PACKAGE_DATA_DIR)/locales/pl_PL/
	cp data/locales/de_DE/* $(PACKAGE_DATA_DIR)/locales/de_DE/
	cp data/locales/sk_SK/* $(PACKAGE_DATA_DIR)/locales/sk_SK/
	cp data/locales/sv_SE/* $(PACKAGE_DATA_DIR)/locales/sv_SE/
	cp data/locales/ru_RU/* $(PACKAGE_DATA_DIR)/locales/ru_RU/
	cp $(TARGET) $(BINDIR)/
	cp ChangeLog NEWS COPYING README LICENSE-sound $(DOCDIR)/
	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \
	cp LICENSE-ttf $(DOCDIR)/; \
	fi

=== debian/changelog ===
gnurobbo (0.64) unstable; urgency=low
  [ Willem-Jan de Hoog ]
  * upstream version 0.64 which includes 
  * lots of new levels
  * sound 
  * new skin (Oily)
  * russian translation

 -- Willem-Jan de Hoog <wdehoog@exalondelft.nl>  Tue, 23 Dec 2009 20:45:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: W. de Hoog <wdehoog@exalondelft.nl>
-Build-Depends: debhelper (>= 5), libglib2.0-dev, libhildon1-dev, libosso-dev, libsdl1.2-dev, libsdl-ttf2.0-dev
+Build-Depends: debhelper (>= 5), libglib2.0-dev, libhildon1-dev, libosso-dev, libsdl1.2-dev, libsdl-ttf2.0-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev
 Standards-Version: 3.7.2
 
 Package: gnurobbo

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) -f Makefile.n8x0
 	#docbook-to-man debian/gosmore.sgml > gosmore.1
 
 	touch $@
@@ -45,7 +45,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-$(MAKE) -f Makefile.n8x0 clean
 
 	dh_clean
 
@@ -56,7 +56,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/gnurobbo.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/gnurobbo bindir=/usr/bin prefix=/usr install
+	$(MAKE) -f Makefile.n8x0 DESTDIR=$(CURDIR)/debian/gnurobbo bindir=/usr/bin prefix=/usr install
 
 
 # Build architecture-independent files here.

## gnurobbo 0.65.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 DOCDIR=./
 
 # Uncomment the line below if you want to have music support
-MUSIC=-DHAVE_MUSIC
-# Uncomment the line below if you want to enable the designer
+#MUSIC=-DHAVE_MUSIC
+# Comment the line below if you want to disable the designer
 DESIGNER=-DHAVE_DESIGNER
 
 # Choose ONE of these and comment the other
@@ -29,7 +29,7 @@
 
 # These should be ok for most
 SDL_CONFIG=sdl-config
-CFLAGS=-O3 -pipe -Wall -fomit-frame-pointer `$(SDL_CONFIG) --cflags` -DPLATFORM_PC -DVERSION=\"$(VERSION)\" -DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)/\" $(FONT_USE_PIXMAP) $(MUSIC) $(DESIGNER)
+CFLAGS=-O3 -pipe -Wall -fomit-frame-pointer `$(SDL_CONFIG) --cflags` -DPLATFORM_PC -DVERSION=\"$(VERSION)\" -DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)/\" $(FONT_USE_PIXMAP) $(MUSIC) $(DESIGNER) 
 LINK=$(CC)
 LDFLAGS=
 LIBS=`$(SDL_CONFIG) --libs` -lSDL_image -lSDL_mixer $(FONT_USE_SDL_TTF)
@@ -67,6 +67,7 @@
 	mkdir -p $(PACKAGE_DATA_DIR)/locales/sk_SK
 	mkdir -p $(PACKAGE_DATA_DIR)/locales/sv_SE
 	mkdir -p $(PACKAGE_DATA_DIR)/locales/ru_RU
+	mkdir -p $(PACKAGE_DATA_DIR)/locales/id_ID
 	mkdir -p $(BINDIR)
 	mkdir -p $(DOCDIR)
 	cp data/levels/* $(PACKAGE_DATA_DIR)/levels/
@@ -88,6 +89,7 @@
 	cp data/locales/sk_SK/* $(PACKAGE_DATA_DIR)/locales/sk_SK/
 	cp data/locales/sv_SE/* $(PACKAGE_DATA_DIR)/locales/sv_SE/
 	cp data/locales/ru_RU/* $(PACKAGE_DATA_DIR)/locales/ru_RU/
+	cp data/locales/id_ID/* $(PACKAGE_DATA_DIR)/locales/id_ID/
 	cp $(TARGET) $(BINDIR)/
 	cp ChangeLog NEWS COPYING README LICENSE-sound $(DOCDIR)/
 	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \

## gnurobbo 0.66%2Bdfsg

=== debian/changelog ===
gnurobbo (0.66+dfsg-3) unstable; urgency=low

  * Ship an XPM icon and use it in the Debian menu entry (closes:
    #726357).
  * Switch to my Debian address.
  * Use canonical VCS URIs.
  * Standards-Version 3.9.4, no further change required.
  * Debhelper compatibility level 9.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Oct 2013 19:53:34 +0200

gnurobbo (0.66+dfsg-2) unstable; urgency=low

  * Always use a format string with sprintf() (closes: #643397).
  * Install a FreeDesktop-standard desktop file, as suggested by Auriza
    Akbar (closes: #637833).
  * Standards-Version 3.9.2, no change required.

 -- Stephen Kitt <steve@sk2.org>  Wed, 28 Sep 2011 00:02:45 +0200

gnurobbo (0.66+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Simplify debian/rules using dh, and retrieve flags from dpkg-
    buildflags (thanks to Peter Pentchev for his suggestions!).
  * Correct build-dependency on quilt to guarantee dh compatibility.
  * Standards-Version 3.9.1, no change required.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Fix "[gnurobbo] Segfaults after choosing Oily skin." by linking the
    DejaVu TTF file to the expected location in the skin (closes:
    #614042).

 -- Stephen Kitt <steve@sk2.org>  Sat, 19 Feb 2011 21:55:26 +0100

gnurobbo (0.65.6+dfsg-1) unstable; urgency=low

  * New upstream version (packaged without sound support for Debian,
    since the sound license is CC Sampling Plus 1.0 which is considered
    non-free).

 -- Stephen Kitt <steve@sk2.org>  Mon, 01 Feb 2010 20:52:56 +0100

gnurobbo (0.62+dfsg-2) unstable; urgency=low

  * Explicitly link in the maths library (closes: #554691).

 -- Stephen Kitt <steve@sk2.org>  Sat, 07 Nov 2009 16:04:41 +0100

gnurobbo (0.62+dfsg-1) unstable; urgency=low

  * Repackage upstream tarball to avoid shipping non-free files in the
    source package (closes: #553911).
  * Update watch file to handle upstream's "-source" suffix and our
    "+dfsg" suffix.
  * Add get-orig-source target to repackage the original tarball, removing
    non-free fonts (with their incorrect license files) and unnecessary
    binaries.
  * Ship NEWS file.

 -- Stephen Kitt <steve@sk2.org>  Tue, 27 Oct 2009 07:08:11 +0100

gnurobbo (0.62-1) unstable; urgency=low

  * New maintainer (Closes: #544913).
  * New upstream version.
  * Refreshed patches:
    + do-not-dump-vmusage.diff: removed, merged upstream;
    + Makefile.diff: updated.
  * Bump Standards-Version to 3.8.3; no change required.

 -- Stephen Kitt <steve@sk2.org>  Sun, 25 Oct 2009 13:08:58 +0100

gnurobbo (0.61-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New Upstream Version (LP: #337089)
  * Do not dump vm usage information
    + New patch: do-not-dump-vmusage.diff
  * Update packaging for debhelper 7
  * Update copyright information
  * Update Vcs-* fields for the Git repository
  * Bump Standards Version to 3.8.0
    + add debian/README.source
  * Add watch file

  [ Gonéri Le Bouder ]
  * Do not install the LICENSE-font files 

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 14 Mar 2009 23:10:50 +0100

gnurobbo (0.57.1-2) unstable; urgency=low

  * New Maintainer: Debian Games Team (Closes: #465941)
  * Add myself to Uploaders
  * Update debian/copyright to point to GPL-2.
  * Use quilt for patch management.
  * Use DejaVu instead of Bitstream Vera font (Closes: #461260).
  * Omit 'GNU robbo' from short description.
  * Add watch file.
  * debian/rules: Use CFLAGS provided by dpkg-buildpackage.
  * Acknowledge NMU (Closes: #308264)

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 04 May 2008 21:17:01 +0200

gnurobbo (0.57.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add a missing include directive to game.c to avoid an implicitly
    converted pointer on some 64-bit architectures.  Closes: #308264

 -- dann frazier <dannf@debian.org>  Tue, 20 Sep 2005 09:00:51 -0600

gnurobbo (0.57.1-1) unstable; urgency=low

  * Replaced proprietary font with free Vera (Closes: #298955)

 -- Lukasz Jachowicz <honey@debian.org>  Sun, 08 May 2005 10:21:39 +0200

## gnurobbo 0.66+dfsg

=== Makefile ===
# Comment/uncomment these to choose an installation destination
# Generic system wide installation
#PACKAGE_DATA_DIR?=/usr/local/share/$(TARGET)
#BINDIR?=/usr/local/bin
#DOCDIR?=/usr/local/share/$(TARGET)

# GNU Debian system wide installation
#PACKAGE_DATA_DIR?=/usr/share/games/$(TARGET)
#BINDIR?=/usr/games
#DOCDIR?=/usr/share/games/$(TARGET)

# Local installation within your home folder
#PACKAGE_DATA_DIR?=$(HOME)/Games/$(TARGET)
#BINDIR?=$(HOME)/Games/$(TARGET)
#DOCDIR?=$(HOME)/Games/$(TARGET)

# Run from current folder i.e. no installation (default)
PACKAGE_DATA_DIR?=./data
BINDIR?=.
DOCDIR?=.

# Comment out the line below if you want to disable music support
MUSIC=-DHAVE_MUSIC
# Comment out the line below if you want to disable the designer
DESIGNER=-DHAVE_DESIGNER

# Choose ONE of these and comment out the other
#FONT_USE_PIXMAP=-DUSE_PIXMAP_FONT
FONT_USE_SDL_TTF=-lSDL_ttf

# You won't need to alter these
TARGET=$(shell cat TARGET)
SOURCES=$(wildcard *.c)
OBJECTS=$(patsubst %.c, %.o, $(SOURCES))
VERSION=$(shell cat VERSION)

# These should be ok for most
SDL_CONFIG?=sdl-config
CFLAGS?=-O3 -pipe
CFLAGS+=-Wall `$(SDL_CONFIG) --cflags` -DPLATFORM_PC -DVERSION=\"$(VERSION)\" \
	-DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)\" $(FONT_USE_PIXMAP) $(MUSIC) $(DESIGNER)
LDFLAGS=
# Use these instead for debugging and/or profiling (mainly intended for GNU Robbo developers)
#CFLAGS?=-O0 -pipe -g -pg
#CFLAGS+=-Wall `$(SDL_CONFIG) --cflags` -DPLATFORM_PC -DVERSION=\"$(VERSION)\" \
#	-DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)\" $(FONT_USE_PIXMAP) $(MUSIC) $(DESIGNER)
#LDFLAGS=-pg
LINK=$(CC)
LIBS=`$(SDL_CONFIG) --libs` -lSDL_image -lSDL_mixer $(FONT_USE_SDL_TTF)

# You won't need to alter anything below
all: $(SOURCES) $(TARGET)

$(TARGET): $(OBJECTS)
	$(LINK) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: all clean install

clean:
	rm -f *.o

install:
	@if [ "$(PACKAGE_DATA_DIR)" = ./data ] ; then \
		echo "Installing into the current folder is not allowed."; \
		exit 2; \
	fi			
	mkdir -p $(PACKAGE_DATA_DIR)/levels
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/default
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/free
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/oily
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/skins
	mkdir -p $(PACKAGE_DATA_DIR)/rob
	mkdir -p $(PACKAGE_DATA_DIR)/skins/original
	mkdir -p $(PACKAGE_DATA_DIR)/skins/tronic
	mkdir -p $(PACKAGE_DATA_DIR)/skins/oily
	mkdir -p $(PACKAGE_DATA_DIR)/locales/cz_CZ
	mkdir -p $(PACKAGE_DATA_DIR)/locales/de_DE
	mkdir -p $(PACKAGE_DATA_DIR)/locales/en_GB
	mkdir -p $(PACKAGE_DATA_DIR)/locales/id_ID
	mkdir -p $(PACKAGE_DATA_DIR)/locales/pl_PL
	mkdir -p $(PACKAGE_DATA_DIR)/locales/ru_RU
	mkdir -p $(PACKAGE_DATA_DIR)/locales/sk_SK
	mkdir -p $(PACKAGE_DATA_DIR)/locales/sv_SE
	mkdir -p $(BINDIR)
	mkdir -p $(DOCDIR)
	cp data/levels/* $(PACKAGE_DATA_DIR)/levels/
	cp data/sounds/default/* $(PACKAGE_DATA_DIR)/sounds/default/
	cp data/sounds/free/* $(PACKAGE_DATA_DIR)/sounds/free/
	cp data/sounds/oily/* $(PACKAGE_DATA_DIR)/sounds/oily/
	cp data/sounds/skins/* $(PACKAGE_DATA_DIR)/sounds/skins/
	cp data/rob/*.bmp $(PACKAGE_DATA_DIR)/rob/
	cp data/skins/original/*.bmp data/skins/original/*.png data/skins/original/skinrc $(PACKAGE_DATA_DIR)/skins/original/
	cp data/skins/tronic/*.bmp data/skins/tronic/*.png data/skins/tronic/skinrc $(PACKAGE_DATA_DIR)/skins/tronic/
	cp data/skins/oily/*.bmp data/skins/oily/*.png data/skins/oily/skinrc $(PACKAGE_DATA_DIR)/skins/oily/
	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \
		cp data/skins/original/robbo.ttf $(PACKAGE_DATA_DIR)/skins/original/; \
		cp data/skins/tronic/robbo.ttf $(PACKAGE_DATA_DIR)/skins/tronic/; \
		cp data/skins/oily/robbo.ttf $(PACKAGE_DATA_DIR)/skins/oily/; \
	fi
	cp data/locales/cz_CZ/* $(PACKAGE_DATA_DIR)/locales/cz_CZ/
	cp data/locales/de_DE/* $(PACKAGE_DATA_DIR)/locales/de_DE/
	cp data/locales/en_GB/* $(PACKAGE_DATA_DIR)/locales/en_GB/
	cp data/locales/id_ID/* $(PACKAGE_DATA_DIR)/locales/id_ID/
	cp data/locales/pl_PL/* $(PACKAGE_DATA_DIR)/locales/pl_PL/
	cp data/locales/ru_RU/* $(PACKAGE_DATA_DIR)/locales/ru_RU/
	cp data/locales/sk_SK/* $(PACKAGE_DATA_DIR)/locales/sk_SK/
	cp data/locales/sv_SE/* $(PACKAGE_DATA_DIR)/locales/sv_SE/
	cp $(TARGET) $(BINDIR)/
	cp ChangeLog NEWS COPYING README LICENSE-sound $(DOCDIR)/
	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \
		cp LICENSE-ttf $(DOCDIR)/; \
	fi

=== fremantle/Makefile ===
# Change these to install somewhere else
# System wide:
#PACKAGE_DATA_DIR=/usr/local/share/$(TARGET)/
#BINDIR=/usr/local/bin/
#DOCDIR=/usr/local/share/$(TARGET)/
# Local:
#PACKAGE_DATA_DIR=$(HOME)/Games/$(TARGET)/
#BINDIR=$(HOME)/Games/$(TARGET)/
#DOCDIR=$(HOME)/Games/$(TARGET)/
# The current folder:
INSTDIR=/opt/gnurobbo
PACKAGE_DATA_DIR=$(DESTDIR)$(INSTDIR)/data/
BINDIR=$(DESTDIR)$(INSTDIR)/
DOCDIR=$(DESTDIR)$(INSTDIR)/
ROOTDIR=$(DESTDIR)/

# Uncomment the line below if you want to have music support
#MUSIC=-DHAVE_MUSIC
# Comment the line below if you want to disable the designer
DESIGNER=-DHAVE_DESIGNER

# Choose ONE of these and comment the other
FONT_USE_PIXMAP=-DUSE_PIXMAP_FONT
#FONT_USE_SDL_TTF=-lSDL_ttf

# You won't need to alter these
TARGET=$(shell cat TARGET)
SOURCES=$(wildcard *.c)
OBJECTS=$(patsubst %.c, %.o, $(SOURCES))
VERSION=$(shell cat VERSION)

# These should be ok for most
SDL_CONFIG=sdl-config
CFLAGS=-O3 -pipe -Wall -fomit-frame-pointer `$(SDL_CONFIG) --cflags` -DPLATFORM_FREMANTLE -DVERSION=\"$(VERSION)\" -DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)/\" $(FONT_USE_PIXMAP) $(MUSIC) $(DESIGNER)  
LINK=$(CC)
LDFLAGS=
LIBS=`$(SDL_CONFIG) --libs` -lSDL_image -lSDL_mixer $(FONT_USE_SDL_TTF)

# You won't need to alter anything below
all: $(SOURCES) $(TARGET)

$(TARGET): $(OBJECTS)
	$(LINK) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: all clean install

clean:
	rm $(OBJECTS) gnurobbo

install:
	@if [[ "$(PACKAGE_DATA_DIR)" == ./* ]] ; then \
		echo "Installing into the current folder is not allowed."; \
		exit 2; \
	fi			
	mkdir -p $(PACKAGE_DATA_DIR)/levels
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/default
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/free
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/oily
	mkdir -p $(PACKAGE_DATA_DIR)/sounds/skins
	mkdir -p $(PACKAGE_DATA_DIR)/rob
	mkdir -p $(PACKAGE_DATA_DIR)/skins/original
	mkdir -p $(PACKAGE_DATA_DIR)/skins/tronic
	mkdir -p $(PACKAGE_DATA_DIR)/skins/oily
	mkdir -p $(PACKAGE_DATA_DIR)/locales/cz_CZ
	mkdir -p $(PACKAGE_DATA_DIR)/locales/de_DE
	mkdir -p $(PACKAGE_DATA_DIR)/locales/en_GB
	mkdir -p $(PACKAGE_DATA_DIR)/locales/id_ID
	mkdir -p $(PACKAGE_DATA_DIR)/locales/pl_PL
	mkdir -p $(PACKAGE_DATA_DIR)/locales/ru_RU
	mkdir -p $(PACKAGE_DATA_DIR)/locales/sk_SK
	mkdir -p $(PACKAGE_DATA_DIR)/locales/sv_SE
	mkdir -p $(BINDIR)
	mkdir -p $(DOCDIR)
	mkdir -p $(ROOTDIR)/usr/share/applications/hildon
	mkdir -p $(ROOTDIR)/usr/share/pixmaps
	cp icon32.png $(ROOTDIR)/usr/share/pixmaps/gnurobbo.png
	cp fremantle/gnurobbo.desktop $(ROOTDIR)/usr/share/applications/hildon
	cp data/levels/* $(PACKAGE_DATA_DIR)/levels/
	cp data/sounds/default/* $(PACKAGE_DATA_DIR)/sounds/default/
	cp data/sounds/free/* $(PACKAGE_DATA_DIR)/sounds/free/
	cp data/sounds/oily/* $(PACKAGE_DATA_DIR)/sounds/oily/
	cp data/sounds/skins/* $(PACKAGE_DATA_DIR)/sounds/skins/
	cp data/rob/*.bmp $(PACKAGE_DATA_DIR)/rob/
	cp data/skins/original/*.bmp data/skins/original/*.png data/skins/original/skinrc $(PACKAGE_DATA_DIR)/skins/original/
	cp data/skins/tronic/*.bmp data/skins/tronic/*.png data/skins/tronic/skinrc $(PACKAGE_DATA_DIR)/skins/tronic/
	cp data/skins/oily/*.bmp data/skins/oily/*.png data/skins/oily/skinrc $(PACKAGE_DATA_DIR)/skins/oily/
	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \
		cp data/skins/original/robbo.ttf $(PACKAGE_DATA_DIR)/skins/original/; \
		cp data/skins/tronic/robbo.ttf $(PACKAGE_DATA_DIR)/skins/tronic/; \
		cp data/skins/oily/robbo.ttf $(PACKAGE_DATA_DIR)/skins/oily/; \
	fi
	cp data/locales/cz_CZ/* $(PACKAGE_DATA_DIR)/locales/cz_CZ/
	cp data/locales/de_DE/* $(PACKAGE_DATA_DIR)/locales/de_DE/
	cp data/locales/en_GB/* $(PACKAGE_DATA_DIR)/locales/en_GB/
	cp data/locales/id_ID/* $(PACKAGE_DATA_DIR)/locales/id_ID/
	cp data/locales/pl_PL/* $(PACKAGE_DATA_DIR)/locales/pl_PL/
	cp data/locales/ru_RU/* $(PACKAGE_DATA_DIR)/locales/ru_RU/
	cp data/locales/sk_SK/* $(PACKAGE_DATA_DIR)/locales/sk_SK/
	cp data/locales/sv_SE/* $(PACKAGE_DATA_DIR)/locales/sv_SE/
	cp fremantle/launchrobbo.sh $(BINDIR)/
	cp $(TARGET) $(BINDIR)/
	cp ChangeLog NEWS COPYING README LICENSE-sound $(DOCDIR)/
	@if [ -n "$(FONT_USE_SDL_TTF)" ] ; then \
		cp LICENSE-ttf $(DOCDIR)/; \
	fi

=== debian/control ===
Source: gnurobbo
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper (>= 9), libsdl-ttf2.0-dev, libsdl1.2-dev (>> 1.2.7), libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.4
Homepage: http://gnurobbo.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-games/gnurobbo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/gnurobbo.git

Package: gnurobbo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-dejavu-extra
Description: logic game ported from ATARI XE/XL
 GNU Robbo is very addictive logic game. You must help a little robot to
 get out of an unfriendly planet, collecting parts of an emergency capsule.
 .
 Originally written for Atari XE/XL by Janusz Pelc from "LK. Avalon".

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

get-orig-source:
	DEHS=$$(mktemp) && \
	uscan --dehs --download --destdir . --package gnurobbo \
	      --upstream-version 0 --repack \
	      --force-download --watchfile $(dir $(_))/watch > $$DEHS && \
	VERSION=$$(sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p' $$DEHS) && \
	DESTDIR=$$PWD && \
	SRC=$$PWD/gnurobbo_$$VERSION.orig.tar.gz && \
	DEST=$$PWD/gnurobbo_$$VERSION+dfsg.orig.tar.gz && \
	TMPDIR=$$(mktemp -d) && \
	cd $$TMPDIR && \
	tar xzf $$SRC && \
	mv gnurobbo-$$VERSION gnurobbo-$$VERSION+dfsg && \
	cd gnurobbo-$$VERSION+dfsg && \
	rm -f data/skins/*/*.ttf data/skins/*/LICENSE-ttf gnurobbo && \
	find . -name \*.ogg -exec rm {} \; && \
	rm -f LICENSE-ttf LICENSE-sound && \
	cd .. && \
	rm -f $$DEST && \
	tar czf $$DEST gnurobbo-$$VERSION+dfsg && \
	cd $$DESTDIR && \
	rm -rf $$TMPDIR && \
	rm -f $$DEHS

.PHONY: get-orig-source

=== debian/watch ===
version=3
opts=uversionmangle=s/-source$//,dversionmangle=s/.dfsg$// \
  http://sf.net/gnurobbo/gnurobbo-([0-9].*)(?:-source|)\.tar\.(?:gz|bz2)

## gnurobbo 0.68%2Bdfsg

=== debian/changelog ===
gnurobbo (0.68+dfsg-3) unstable; urgency=medium

  * Drop -d from CFLAGS so the package will build with GCC 7
    (closes: #853427).
  * Update debian/copyright.
  * Mark gnurobbo-data as Multi-Arch: foreign.
  * Standards-Version 4.0.0, no further change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Aug 2017 21:47:07 +0200

gnurobbo (0.68+dfsg-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Sort the sources so the package can build reproducibly; thanks to
    Reiner Herrmann for the patch (closes: #826424).
  * Enable all hardening options.
  * Drop the Debian menu entry (in favour of the desktop descriptor).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.
  * Update debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Jun 2016 22:53:55 +0200

gnurobbo (0.68+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Standards-Version 3.9.6, no change required.
  * Move the data to an arch-independent gnurobbo-data file.
  * Switch to fonts-dejavu-extra instead of ttf-dejavu-extra.

 -- Stephen Kitt <skitt@debian.org>  Thu, 27 Aug 2015 23:00:15 +0200

gnurobbo (0.66+dfsg-4) unstable; urgency=medium

  * Update debian/copyright to machine-readable format, and use
    Files-Excluded to drop get-orig-source from debian/rules.
  * Drop README.source since we're explicitly using format 3.0 (quilt).
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 May 2014 12:20:43 +0200

=== debian/control ===
Source: gnurobbo
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 10),
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/gnurobbo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/gnurobbo.git
Homepage: http://gnurobbo.sourceforge.net/

Package: gnurobbo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnurobbo-data
Description: logic game ported from ATARI XE/XL
 GNU Robbo is very addictive logic game. You must help a little robot to
 get out of an unfriendly planet, collecting parts of an emergency capsule.
 .
 Originally written for Atari XE/XL by Janusz Pelc from "LK. Avalon".

Package: gnurobbo-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         fonts-dejavu-extra
Breaks: gnurobbo (<< 0.68)
Replaces: gnurobbo (<< 0.68)
Description: logic game ported from ATARI XE/XL - data files
 GNU Robbo is very addictive logic game. You must help a little robot to
 get out of an unfriendly planet, collecting parts of an emergency capsule.
 .
 Originally written for Atari XE/XL by Janusz Pelc from "LK. Avalon".
 .
 This package contains the data required to play the game.
